gnutls_priority_set(3)

NAME
gnutls_priority_set - API function

SYNOPSIS
#include <gnutls/gnutls.h>

int gnutls_priority_set(gnutls_session_t session, gnutls_priority_t priority);

ARGUMENTS

gnutls_session_t session
    is a gnutls_session_t structure.

gnutls_priority_t priority
    is a gnutls_priority_t structure.

DESCRIPTION
Sets the priorities to use on the ciphers, key exchange methods, macs and compression methods.

RETURNS
GNUTLS_E_SUCCESS on success, or an error code.

REPORTING BUGS
Report bugs to <bug-gnutls@gnu.org>. GnuTLS home page: http://www.gnu.org/software/gnutls/ General help using GNU software: http://www.gnu.org/gethelp/

COPYRIGHT
Copyright © 2008 Free Software Foundation.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the info and gnutls programs are properly installed at your site, the command

    info gnutls

should give you access to the complete manual.